View Issue Details

IDProjectCategoryView StatusLast Update
0000849FreeCADFeaturepublic2013-07-01 09:09
ReporterpperisinAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.14 
Summary0000849: [Sketcher] Small inconsistency with update
DescriptionHi,


when you are in sketch that already has it's feature (pad) and you move one of it's points, it's feature (pad) will auto update.

However, if you double click on a dimension and modify it's value, sketch will update but feature (pad) will not.

This seems little inconsistent.

Regards,
Petar
Additional Information
1 - Create new sketch,
2 - place rectangle,
3 - add dimension constraint to one side,
4 - close sketch
5 - create pad
6 - reopen sketch

now:

7a - move one point - Pad will update on mouse release of a drag
7b - double click on a dimension created in 3 and modify it - Pad will not update
TagsNo tags attached.

Activities

mrlukeparry

2012-10-04 19:38

developer   ~0002438

I think this could be fixed by adding, so that the document recomputes

Gui::Command::updateActive();

after line 126 in EditDatumDialog.cpp in setcher

wmayer

2013-07-01 09:09

administrator   ~0003303

git show f5d091f

Issue History

Date Modified Username Field Change
2012-09-27 15:44 pperisin New Issue
2012-10-04 19:38 mrlukeparry Note Added: 0002438
2013-06-30 12:48 wmayer Status new => assigned
2013-06-30 12:48 wmayer Assigned To => wmayer
2013-07-01 09:09 wmayer Note Added: 0003303
2013-07-01 09:09 wmayer Status assigned => closed
2013-07-01 09:09 wmayer Resolution open => fixed
2013-07-01 09:09 wmayer Fixed in Version => 0.14